Package org.eclipse.microprofile.fault.tolerance.tck.asynchronous

# Class AsyncApplicationScopeClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.asynchronous.AsyncApplicationScopeClient

@ApplicationScoped public class AsyncApplicationScopeClient extends Object

## Constructor Summary

Constructors
Constructor
Description
`AsyncApplicationScopeClient()`

## Method Summary

Modifier and Type
Method
Description
`CompletionStage<String>`
`serviceCallingCompletionStageMethod()`
`Future<String>`
`serviceCallingFutureMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncApplicationScopeClient

public AsyncApplicationScopeClient()

## Method Details

### serviceCallingCompletionStageMethod

@Asynchronous public CompletionStage<String> serviceCallingCompletionStageMethod()

### serviceCallingFutureMethod

@Asynchronous public Future<String> serviceCallingFutureMethod()